Bug 17575 - Use Skyhook with NetworkManager for AP location
Summary: Use Skyhook with NetworkManager for AP location
Status: RESOLVED FIXED
Alias: None
Product: GeoClue
Classification: Unclassified
Component: Backends (obsolete) (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Geoclue Bugs
QA Contact: Geoclue Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-14 13:20 UTC by Bastien Nocera
Modified: 2009-08-17 09:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
0002-Add-Skyhook-provider.patch (12.73 KB, patch)
2009-06-19 12:07 UTC, Bastien Nocera
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2008-09-14 13:20:35 UTC
Use the AP's MAC address, you can get fairly accurate long/lat coords. See:
http://coderrr.wordpress.com/2008/09/10/get-the-physical-location-of-wireless-router-from-its-mac-address-bssid/
http://loki.com/developers/documentation
Comment 1 Jussi Kukkonen [inactive] 2008-11-27 12:23:31 UTC
The plazes provider does the same thing with plazes.com, so implementing should be a piece of cake (although the phenomenally ugly hack for getting the router mac address should be rewritten).

I'm not sure about the license though, It only mentions websites... I'm guessing skyhook definitely does not want things like geoclue using the database unless they're getting a slice of the gazillions of dollars we're making.

Comment 2 Bastien Nocera 2009-06-19 12:07:37 UTC
Created attachment 26963 [details] [review]
0002-Add-Skyhook-provider.patch

Implement the above. Same problems as the Plazes and localnet MAC retrieval gruesomeness.
Comment 3 Keith Preston 2009-08-17 09:04:57 UTC
Committed in patch to master branch, thanks for the new back end.   You might want to send me a patch for the license of this new backend as now we have marked most of the other ones LGPLv2


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.